## org.mortbay.jetty.plugin
Class Jetty6PluginWebAppContext

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.handler.AbstractHandler
              org.mortbay.jetty.handler.AbstractHandlerContainer
                  org.mortbay.jetty.handler.HandlerWrapper
                      org.mortbay.jetty.handler.ContextHandler
                          org.mortbay.jetty.servlet.Context
                              org.mortbay.jetty.webapp.WebAppContext
                                  org.mortbay.jetty.plugin.Jetty6PluginWebAppContext

All Implemented Interfaces:
  LifeCycle, Handler, HandlerContainer, Server.Graceful, Attributes

    public class Jetty6PluginWebAppContext

extends WebAppContext

Jetty6PluginWebAppContext

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.jetty.servlet.Context
`Context.SContext`

Field Summary

Fields inherited from class org.mortbay.jetty.webapp.WebAppContext
`ERROR_PAGE, WEB_DEFAULTS_XML`

Fields inherited from class org.mortbay.jetty.servlet.Context
`_securityHandler, _servletHandler, _sessionHandler, NO_SECURITY, NO_SESSIONS, SECURITY, SESSIONS`

Fields inherited from class org.mortbay.jetty.handler.ContextHandler
`_scontext`

Fields inherited from class org.mortbay.jetty.handler.AbstractHandler
`_string`

Fields inherited from interface org.mortbay.jetty.Handler
`ALL, DEFAULT, ERROR, FORWARD, INCLUDE, REQUEST`

Constructor Summary
`Jetty6PluginWebAppContext()`

Method Summary
`void` `configure()`
`void` `doStart()`
`void` `doStop()`
`void` `setClassPathFiles(List classpathFiles)`
`void` `setJettyEnvXmlFile(File jettyEnvXmlFile)`
`void` `setWebXmlFile(File webXmlFile)`

Methods inherited from class org.mortbay.jetty.webapp.WebAppContext

`addEventListener, addWebApplications, addWebApplications, addWebApplications, addWebApplications, dumpUrl, getConfigurationClasses, getConfigurations, getCurrentWebAppContext, getDefaultsDescriptor, getDescriptor, getExtraClasspath, getOverrideDescriptor, getPermissions, getResource, getResourceAlias, getResourceAliases, getServerClasses, getSystemClasses, getTempDirectory, getWar, getWebInf, handle, isCopyWebDir, isDistributable, isExtractWAR, isLogUrlOnStart, isParentLoaderPriority, isProtectedTarget, isTempWorkDirectory, loadConfigurations, removeResourceAlias, resolveWebApp, setClassLoader, setConfigurationClasses, setConfigurations, setCopyWebDir, setDefaultsDescriptor, setDescriptor, setDistributable, setEventListeners, setExtraClasspath, setExtractWAR, setLogUrlOnStart, setOverrideDescriptor, setParentLoaderPriority, setPermissions, setResourceAlias, setResourceAliases, setServerClasses, setSystemClasses, setTempDirectory, setWar, startContext, toString`

Methods inherited from class org.mortbay.jetty.servlet.Context
`addFilter, addFilter, addFilter, addServlet, addServlet, addServlet, getSecurityHandler, getServletHandler, getSessionHandler, setSecurityHandler, setServletHandler, setSessionHandler`

Methods inherited from class org.mortbay.jetty.handler.ContextHandler

`addLocaleEncoding, clearAttributes, getAllowNullPathInfo, getAttribute, getAttributeNames, getAttributes, getBaseResource, getClassLoader, getClassPath, getConnectorNames, getContextPath, getCurrentContext, getDisplayName, getErrorHandler, getEventListeners, getHosts, getInitParameter, getInitParameterNames, getInitParams, getLocaleEncoding, getMaxFormContentSize, getMimeTypes, getResourceBase, getResourcePaths, getServletContext, getVirtualHosts, getWelcomeFiles, isCompactPath, isShutdown, loadClass, removeAttribute, setAllowNullPathInfo, setAttribute, setAttributes, setBaseResource, setCompactPath, setConnectorNames, setContextPath, setDisplayName, setErrorHandler, setHosts, setInitParams, setMaxFormContentSize, setMimeTypes, setResourceBase, setServer, setShutdown, setVirtualHosts, setWelcomeFiles`

Methods inherited from class org.mortbay.jetty.handler.HandlerWrapper
`addHandler, expandChildren, getHandler, removeHandler, setHandler`

Methods inherited from class org.mortbay.jetty.handler.AbstractHandlerContainer
`expandHandler, getChildHandlerByClass, getChildHandlers, getChildHandlersByClass`

Methods inherited from class org.mortbay.jetty.handler.AbstractHandler
`destroy, getServer`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mortbay.component.LifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Constructor Detail

### Jetty6PluginWebAppContext

    public Jetty6PluginWebAppContext()

Method Detail

### setClassPathFiles

    public void setClassPathFiles(List classpathFiles)

### setWebXmlFile

    public void setWebXmlFile(File webXmlFile)

### setJettyEnvXmlFile

    public void setJettyEnvXmlFile(File jettyEnvXmlFile)

### configure

    public void configure()

### doStart

    public void doStart()
                 throws Exception

  Overrides:
    `doStart` in class `WebAppContext`
  Throws:
    `Exception`

### doStop

    public void doStop()
                throws Exception

  Overrides:
    `doStop` in class `WebAppContext`
  Throws:
    `Exception`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.